MAPSCRN(8)

NOMBRE
mapscrn - carga la tabla de mapas de salida por pantalla

SINOPSIS
mapscrn [opciones] archivo de mapa

DESCRIPCIÓN
La orden mapscrn está obsoleta, sus funciones se han integrado en setfont. Para preservar la compatibilidad, sigue estando disponible.

La orden mapscrn carga una tabla de mapas de caracteres de salida definida por el usuario en el controlador de consola. Éste puede ser puesto más tarde en un modo de usar tabla de mapas definida por el usuario mediante la salida de una secuencia de escape especial al dispositivo de consola. Esta secuencia es <esc>(K para el conjunto de caracteres G0 y <esc>)K para el G1. Cuando se da la opción -o, el mapa antiguo se guarda en mapa.orig.

USO
Tenemos dos tipos de tablas de mapeo (mapping tables): las directas-a-fuente que nos dan la posición de la fuente para cada valor de byte de usuario y las usuario-a-unicode que nos dan un valor Unicode para cada valor de byte de usuario. El glifo correspondiente se busca en el índice Unicode de la fuente. La orden
    mapscrn trivial
define una tabla uno-a-uno directa-a-fuente donde los bytes de usuario refieren directamente a la fuente. Esto es util en caso de fuentes con el mismo orden que el conjunto de caracteres que usemos. Una orden como
    mapscrn 8859-2
define una tabla usuario-a-unicode asumiendo que el usuario emplea ISO 8859-2.

FORMATO DE ENTRADA
La orden mapscrn puede leer el mapa en uno de dos formatos:
1. datos binarios de 256 o 512 bytes
2. fichero de texto de dos columnas
format (1) es una imagen directa de la tabla de traslación tabla. Las tablas de 256 bytes son directas-a-fuente,, las tablas de 512 bytes son tablas de usuario-a-unicode. Formato (2) se usa para llenar la tabla de la siguiente manera: la celda con el desplazamiento mencionado en la primera columna se llena con el valor mencionado en la segunda columna. Cuando tengamos valores superiores a 255, o los valores se escriben con la notación U+xxxx, se supone que la tabla es una tabla de usuario-a-unicode de lo contrario, es una tabla directa-a-fuente.

Los valores en el archivo pueden definirse en uno de estos cuatro formatos:
1. Decimal: Cadena de dígitos en base 10 que no empiece con '0'.
2. Octal: Cadena de dígitos en base 8 empezando con '0'.
3. Hexadecimal: Cadena de dígitos exadecimales precedida por "0x".
4. Unicode: cadena de cuatro dígitos hexadecimales precedida por "U+".
5. Carácter: Carácter simple encerrado entre comillas simples. Observe que los caracteres blancos, coma, tabulador y almohadilla ('#') no pueden especificarse con este formato.
6. Carácter UTF-8: Carácter simple UTF-8 (seguramente multibyte) entre comillas simples.

Note que los caracteres de control (con códigos < 32) no pueden re-asociarse con mapscrn puesto que tienen un significado especial para el controlador.

OPCIONES

-o, --output=ARCHIVO
    Guardar el mapa antiguo en ARCHIVO.

-C, --console=DEV
    El dispositivo de consola que se utilizará.

-v, --verbose
    Será más detallado.

-V, --version
    Muestra el número de versión.

-h, --help
    Muestra este mensaje de uso.

ARCHIVOS

/usr/share/consoletrans
    Archivo por defecto para los mapas de pantalla.

VÉASE TAMBIÉN
setfont(8)

AUTOR
Derechos de copia © 1993 Eugène G. Crosser
<crosser@pccross.msk.su>
Este programa y su documentación pueden distribuirse libremente.

TRADUCCIÓN
La traducción al español de esta página del manual fue creada por Gerardo Aburruzaga García <gerardo.aburruzaga@uca.es> y Marcos Fouces <marcos@debian.org>

Esta traducción es documentación libre; lea la GNU General Public License Version 3 (https://www.gnu.org/licenses/gpl-3.0.html) o posterior con respecto a las condiciones de copyright. No existe NINGUNA RESPONSABILIDAD.

Si encuentra algún error en la traducción de esta página del manual, envíe un correo electrónico a debian-l10n-spanish@lists.debian.org.